Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation.jsf
Class JsfConversationMessager

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.ConversationMessager
          org.apache.myfaces.orchestra.conversation.jsf.JsfConversationMessager

    public class JsfConversationMessager

extends ConversationMessager

Inform the user about some anomalies by displaying the problems as standard JSF messages.

This class just provides some default behaviour; if you don't like it then implement your own version of this class and configure your alternative as the standard "Conversation Messager" instead. See the documentation on interface ConversationMessager for details.

As required by the ConversationMessager interface, all methods on this class are thread-safe.

Constructor Summary
`JsfConversationMessager()`

Method Summary
`protected java.lang.String` | `getThrowableText(java.lang.Throwable t)`
`void` | `setConversationException(java.lang.Throwable t)` An exception happened, for example during invalidate action.
`void` | `setConversationNotActive(java.lang.String name)` Display message about a not active conversation (close before the redirect).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsfConversationMessager

    public JsfConversationMessager()

Method Detail

### setConversationException

    public void setConversationException(java.lang.Throwable t)

  Description copied from class: `ConversationMessager`
  An exception happened, for example during invalidate action.

  Overrides:
    `setConversationException` in class `ConversationMessager`

### setConversationNotActive

    public void setConversationNotActive(java.lang.String name)

  Description copied from class: `ConversationMessager`
  Display message about a not active conversation (close before the redirect).

  Overrides:
    `setConversationNotActive` in class `ConversationMessager`

### getThrowableText

    protected java.lang.String getThrowableText(java.lang.Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.